/*
 *	File Name: exitDialog.cpp
 *	Function: X-Windows Code to present exit dialog to user
 *
 *   	This program is free software; you can redistribute it and/or modify
 *   	it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *   	This program is distributed in the hope that it will be useful,
 *   	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   	GNU General Public License for more details.
 *
 *   	You should have received a copy of the GNU General Public License
 *   	along with this program; if not, write to the Free Software
 *   	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *	Author: Heng Yiak Por (alleycat@pacific.net.sg)
 *	Date of Release:  13 Apr 2000
 *	Version: 1.0.0
 *
 *	Bugs: None
 *
 */

#include <qt/qdialog.h>
#include <qt/qpushbutton.h>
#include <qt/qlabel.h>

#include "tunerCard.h"

class exitDialog : public QDialog
{

	Q_OBJECT

private slots:
	void muteSound(void);
	
public:
    	exitDialog( tunerCard *card=0, QWidget *parent=0, const char *name=0 );

private:

	tunerCard *tcard;
};

void exitDialog::muteSound(void)
{
	tcard->setMute();
	accept();	
}


exitDialog::exitDialog( tunerCard *card, QWidget *parent, const char *name  )
        : QDialog( parent, name, TRUE )
{
	
	tcard=card;

	QPushButton *yes, *no, *cancel;
			
	this->setCaption("Application Exit Dialog Window");
	

	QLabel *lbl= new QLabel("Do you want music in the background?", this);
	lbl->setGeometry(75, 30, 220, 50);


	yes = new QPushButton("Yes", this);
	yes->setGeometry(30, 100, 80, 30);
	connect(yes, SIGNAL(clicked()), SLOT(accept()));
		
	no = new QPushButton("No", this);
	no->setGeometry(140, 100, 80, 30);
	connect(no, SIGNAL(clicked()), SLOT(muteSound()));

	cancel = new QPushButton("Cancel", this);
	cancel->setGeometry(250, 100, 80, 30);
	connect(cancel, SIGNAL(clicked()), SLOT(reject()));
 
	setMinimumSize(350,150);
	setMaximumSize(350,150);

}

