/*
 *	File Name: hrSpinBox.cpp
 *	Function: X-Windows Code to control the Hour Spin Box found in the alarm Dialog
 *
 *   	This program is free software; you can redistribute it and/or modify
 *   	it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *   	This program is distributed in the hope that it will be useful,
 *   	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   	GNU General Public License for more details.
 *
 *   	You should have received a copy of the GNU General Public License
 *   	along with this program; if not, write to the Free Software
 *   	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *	Author: Heng Yiak Por (alleycat@pacific.net.sg)
 *	Date of Release:  13 Apr 2000
 *	Version: 1.0.0
 *
 *	Bugs: None
 *
 */

#include <qt/qspinbox.h>

class hrSpinBox : public QSpinBox
{

	Q_OBJECT
	
public:
    hrSpinBox( int value=0, QWidget *parent=0, const char *name=0 );

};


hrSpinBox::hrSpinBox( int value, QWidget *parent, const char *name  )
        : QSpinBox( 0, 23, 1, parent, name )
{
	setValue(value);
	setMinimumSize(50,30);
	setWrapping(TRUE);
}

