
#ifndef LCD_H
#define LCD_H

#include <qt/qlcdnumber.h>
#include <qt/qfont.h>
#include <qt/qcolor.h>
#include <qt/qpalette.h>
#include <qt/qlayout.h>
#include <qt/qlabel.h>

#include "tunerCard.h"
#include "radioConfig.h"

#include <sys/timeb.h>
#include <time.h>
#include <string.h>

class LCDWidget : public QWidget
{

	Q_OBJECT
	
public:
    LCDWidget( tunerCard *cardValue=0, radioConfig *configuration=0, QLabel *status=0, QWidget *parent=0, const char *name=0 );
    void setOnOff(void);
    void unsetOnOff(void);
    void unsetAlarmMin(void);
    void setSleepTime(unsigned char);
    void setMem(bool);
    
public slots:
    void incrementValue(void);
    
private:    
    QLCDNumber  *freqDisplay;
    QLCDNumber  *timeDisplay;
    tunerCard *card;
    radioConfig *config;
    QLabel *statusBar;
    bool onOff, doneAlarmMin, sleepTimerFlag, mem;
    unsigned char sleepTime; 
};

#endif // LCD_H

