/*
 *	File Name: strengthDialog.cpp
 *	Function: X-Windows Code to present signal strength(sensitivity) dialog to user
 *
 *   	This program is free software; you can redistribute it and/or modify
 *   	it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *   	This program is distributed in the hope that it will be useful,
 *   	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   	GNU General Public License for more details.
 *
 *   	You should have received a copy of the GNU General Public License
 *   	along with this program; if not, write to the Free Software
 *   	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *	Author: Heng Yiak Por (alleycat@pacific.net.sg)
 *	Date of Release:  13 Apr 2000
 *	Version: 1.0.0
 *
 *	Bugs: None
 *
 */

#include <qt/qdialog.h>
#include <qt/qpushbutton.h>
#include <qt/qradiobutton.h>
#include <qt/qbuttongroup.h>

#include "radioConfig.h"
#include "alarmDialog.h"
#include "lcd.h"

class strengthDialog : public QDialog
{

	Q_OBJECT
	
public:
    	strengthDialog( radioConfig *config=0, QWidget *parent=0, const char *name=0 );

    	
private slots:
	void doStrength(void);

private:
	radioConfig	*rconfig;
	QRadioButton *low, *medium, *high, *vhigh;

};

void	strengthDialog::doStrength(void)
{
	int temp;
	
	//if(low->isChecked())
		temp=3;
	//else
	if (medium->isChecked())
		temp=1;
	else if (high->isChecked())
		temp=2;
	else 
		temp=0;
		
	rconfig->setSearchStr(temp);
	
	accept();

}

strengthDialog::strengthDialog( radioConfig *config, QWidget *parent, const char *name  )
        : QDialog( parent, name, TRUE )
{

	QButtonGroup *group;	
	QPushButton *ok;
		
	rconfig = config;
	
	this->setCaption("Search Sensistivity Option Dialog Window");

	group = new QButtonGroup("Search Sensistivity Options", this);
	group->setGeometry(10, 10, 220, 130);

	//low = new QRadioButton("Low", group);
	//low->setGeometry( 20, 30, 150, 30);
	
	medium = new QRadioButton("Low", group);
	medium->setGeometry( 20, 30, 150, 30);

	high = new QRadioButton("Medium", group);
	high->setGeometry( 20, 60, 150, 30);
	
	vhigh = new QRadioButton("High", group);
	vhigh->setGeometry( 20, 90, 150, 30);
	
	
	switch(config->showSearchStr())
	{
		case 0: vhigh->setChecked(true); break;
		case 1: medium->setChecked(true); break;
		case 2: high->setChecked(true); break;
		//case 3: low->setChecked(true); break;
		default: break;
	}
	

	ok = new QPushButton("OK", this);
	ok->setGeometry(80, 150, 80, 30);
	connect(ok, SIGNAL(clicked()), SLOT(doStrength()) );

 
	setMinimumSize(240,190);
	setMaximumSize(240,190);

}

