/*
 *	File Name: radioConfig.h
 *	Function: Header file for radioConfig.cpp
 *
 *	Author: Heng Yiak Por
 *	Date of Release:
 *	Version:
 *
 *
 */

#ifndef TUNERCARD_H
#define TUNERCARD_H


#include <fstream.h>
#include <iostream.h>
#include "radioConfig.h"
#include <sys/timeb.h>
#include <time.h>
#include <qt/qdatetime.h>

#define RADIOCARD 	"/dev/fmr2"
#define IF 		10700
#define FINESTEP 	500
#define SCANSTEP	200
#define DELAY		200


class tunerCard
{


	private:
		char data[4], muted, progNo;
		radioConfig *config;
		
			
		float	convertToFreq(char *);
		void 	convertToBin(float, char *);
		void	readCard(char *);
		void 	writeCard(char *);
		void 	timeDelay(void);

	public:
	
		tunerCard(radioConfig *);
		float	showFreq(void);
		void	setFreq(float);
		int		showStereo(void);
		void 	doRead(void);
		void	fineUp(void);
		void	fineDown(void);
		void	scanUp(void);
		void	scanDown(void);
		void	stereoToggle(void);
		void	setMute(void);
		void 	clearMute(void);
		char	isMuted(void);
		void	refreshData(void);
		void	loadProg(unsigned int);
		void	storeProg(unsigned int);
		int		ampOnBoard(void);
		int		isTuned(void);
		int		showApproxFreq(void);
		int		showProgNo(void);

};

#endif



